Bug 1250147 - unable to install vagrant-libvirt plugin on rhel6
unable to install vagrant-libvirt plugin on rhel6
Status: CLOSED INSUFFICIENT_DATA
Product: softwarecollections.org
Classification: Community
Component: sclo-vagrant1 (Show other bugs)
1.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Pavel Valena
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-04 11:19 EDT by Lukas Zachar
Modified: 2016-01-04 11:20 EST (History)
3 users (show)

See Also:
Fixed In Version: rh-vagrant1-vagrant-libvirt-0.0.30-2.el6, rh-vagrant1-vagrant-libvirt-0.0.30-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-04 11:20:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Zachar 2015-08-04 11:19:54 EDT
Description of problem:

On rhel-6 one is not able to install libvirt plugin correctly.


Version-Release number of selected component (if applicable):
rh-vagrant1-vagrant-libvirt-0.0.30-1.el6.noarch

How reproducible:
always

Steps to Reproduce:
1. yum install -y rh-vagrant1-vagrant-libvirt
2. vagrant plugin list

Actual results:
/opt/rh/rh-vagrant1/root/usr/share/vagrant/lib/vagrant/plugin/state_file.rb:94:in `initialize': No such file or directory @ rb_sysopen - /opt/rh/rh-vagrant1/root/usr/com/vagrant/plugins.json (Errno::ENOENT)
        from /opt/rh/rh-vagrant1/root/usr/share/vagrant/lib/vagrant/plugin/state_file.rb:94:in `open'
        from /opt/rh/rh-vagrant1/root/usr/share/vagrant/lib/vagrant/plugin/state_file.rb:94:in `open'
        from /opt/rh/rh-vagrant1/root/usr/share/vagrant/lib/vagrant/plugin/state_file.rb:94:in `save!'
        from /opt/rh/rh-vagrant1/root/usr/share/vagrant/lib/vagrant/plugin/state_file.rb:39:in `add_plugin'
        from -e:4:in `<main>'
warning: %posttrans(rh-vagrant1-vagrant-libvirt-0.0.30-1.el6.noarch) scriptlet failed, exit status 1
Non-fatal POSTTRANS scriptlet failure in rpm package rh-vagrant1-vagrant-libvirt-0.0.30-1.el6.noarch

no plugin listed

Expected results:
1. no error
2. plugin is listed

Additional info:
Comment 1 Lukas Zachar 2015-08-04 11:26:39 EDT
Without plugin, spinning libvirt box fails with 
"
The provider 'libvirt' could not be found, but was requested to
back the machine 'default'. Please use a provider that exists.
"
Comment 2 Vít Ondruch 2015-08-05 07:50:41 EDT
This is really interesting:

No such file or directory @ rb_sysopen - /opt/rh/rh-vagrant1/root/usr/com/vagrant/plugins.json (Errno::ENOENT)

That means %{_sharedstatedir} points to wrong directory. It seems that RPM on RHEL6 is not evaluating the macros.scl correctly, or it evaluates the macro files in some wrong order? I am completely puzzled by this ...

Luboši, do you have any hint?
Comment 3 Ľuboš Kardoš 2015-08-05 10:59:09 EDT
The problem is that you use scl-utils-build-20120927-11.el6_5 that contain bug that %_sharedstatedir is set to %{_prefix}/com. This is fixed in scl-utils-build-21020927-21.el6_5.
Comment 4 Vít Ondruch 2015-08-06 04:57:36 EDT
(In reply to Ľuboš Kardoš from comment #3)
Lubos, thank you for the investigation. I checked the buildroot with rel-engs and it seems that it used to be some mishap in buildroot settings, which should be corrected already for some while. IOW, rebuild of the package should fix the issue. Will see.
Comment 10 Pavel Valena 2016-01-04 11:20:07 EST
Sorry, Software Collection rh-vagrant1 is not going to be supported on RHEL-6. There is no build available anymore.

Note You need to log in before you can comment on or make changes to this bug.